$:.push File.expand_path('../lib', __FILE__)

# Maintain your gem's version:
require 'config/version'

# Describe your gem and declare its dependencies:
Gem::Specification.new do |s|
  s.name             = 'ef-config'
  s.version          = Config::VERSION
  s.date             = Time.now.strftime '%F'
  s.authors          = ['Hadley', 'Piotr Kuczynski', 'Fred Wu', 'Jacques Crocker']
  s.email            = %w(hadley@everfest.com)
  s.summary          = 'Effortless multi-environment settings in Rails, Sinatra, Pandrino and others'
  s.description      = 'Everfest fork of config gem'
  s.homepage         = 'https://bitbucket.org/everfest/config'
  s.license          = 'MIT'
  s.extra_rdoc_files = %w(README.md CHANGELOG.md LICENSE.md)
  s.rdoc_options     = ['--charset=UTF-8']

  s.files = `git ls-files`.split($/)
  s.files.select! { |file| /(^lib\/|\.md$|\.gemspec$)/ =~ file }
  s.files += Dir.glob('doc/**/*')

  s.require_paths         = ['lib']
  s.required_ruby_version = '>= 2.0.0'

  s.add_dependency 'activesupport',           '>= 3.0'
  s.add_dependency 'deep_merge',              '~> 1.1.1'
  s.add_dependency 'dry-validation',          '~> 0.10.4' if RUBY_VERSION >= '2.1'

  s.add_development_dependency 'bundler',     '~> 1.13',  '>= 1.13.6'
  s.add_development_dependency 'rake',        '~> 12.0',  '>= 12.0.0'

  # Testing
  s.add_development_dependency 'appraisal',   '~> 2.1',   '>= 2.1.0'
  s.add_development_dependency 'rails',       '~> 5.0',   '>= 5.0.1'
  s.add_development_dependency 'rspec',       '~> 3.5',   '>= 3.5.0'
  s.add_development_dependency 'rspec-rails', '~> 3.5',   '>= 3.5.2'
  s.add_development_dependency 'test-unit',   '~> 3.2',   '>= 3.2.1'
  s.add_development_dependency 'sqlite3',     '~> 1.3',   '>= 1.3.11'
  s.add_development_dependency 'pry'

  # Static code analysis
  s.add_development_dependency 'mdl',         '~> 0.4',   '>= 0.4.0'
  s.add_development_dependency 'rubocop',     '~> 0.46',  '>= 0.46.0'

  if ENV['TRAVIS']
    s.add_development_dependency 'simplecov', '~> 0.12.0'
    s.add_development_dependency 'codeclimate-test-reporter', '~> 1.0.3'
  end
end
